--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...
function NS:LoadSettingsAutoBar()
	local FauxMazzle = {
		["classes"] = {
			["Warrior"] = {
				["barList"] = {
					["AutoBarClassBarWarrior"] = {
						["share"] = "2",
						["fadeOut"] = false,
						["scale"] = 0.94,
						["rows"] = 1,
						["dockShiftY"] = 0,
						["alignButtons"] = "3",
						["posX"] = 660.109183681849,
						["hide"] = false,
						["enabled"] = true,
						["posY"] = 58.2653563636834,
						["alpha"] = 1,
						["frameStrata"] = "LOW",
						["buttonWidth"] = 36,
						["collapseButtons"] = true,
						["buttonHeight"] = 36,
						["WARRIOR"] = true,
						["columns"] = 10,
						["popupDirection"] = "1",
						["padding"] = 0,
						["dockShiftX"] = 0,
						["buttonKeys"] = {
							"AutoBarButtonClassBuff", -- [1]
							"AutoBarButtonCharge", -- [2]
							"AutoBarButtonER", -- [3]
							"AutoBarButtonStance", -- [4]
							"AutoBarButtonShields", -- [5]
						},
					},
				},
				["buttonList"] = {
					["AutoBarButtonBuffWeapon2"] = {
						["arrangeOnUse"] = true,
						["buttonClass"] = "AutoBarButtonBuffWeapon",
						["invertButtons"] = true,
						["barKey"] = "AutoBarClassBarBasic",
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonBuffWeapon2",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonStance"] = {
						["barKey"] = "AutoBarClassBarWarrior",
						["buttonClass"] = "AutoBarButtonStance",
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonStance",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonShields"] = {
						["arrangeOnUse"] = true,
						["buttonClass"] = "AutoBarButtonShields",
						["barKey"] = "AutoBarClassBarWarrior",
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonShields",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonCharge"] = {
						["barKey"] = "AutoBarClassBarWarrior",
						["buttonClass"] = "AutoBarButtonCharge",
						["enabled"] = true,
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonCharge",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonER"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonER",
						["defaultButtonIndex"] = "*",
						["barKey"] = "AutoBarClassBarWarrior",
						["buttonKey"] = "AutoBarButtonER",
						["noPopup"] = true,
					},
					["AutoBarButtonClassBuff"] = {
						["barKey"] = "AutoBarClassBarWarrior",
						["buttonClass"] = "AutoBarButtonClassBuff",
						["enabled"] = true,
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonClassBuff",
						["defaultButtonIndex"] = "*",
					},
				},
			},
			["Paladin"] = {
				["barList"] = {
					["AutoBarClassBarPaladin"] = {
						["share"] = "2",
						["fadeOut"] = false,
						["PALADIN"] = true,
						["buttonHeight"] = 36,
						["rows"] = 1,
						["dockShiftY"] = 0,
						["alignButtons"] = "3",
						["posX"] = 660.109183681849,
						["hide"] = false,
						["enabled"] = true,
						["posY"] = 58.2653563636834,
						["frameStrata"] = "LOW",
						["buttonWidth"] = 36,
						["collapseButtons"] = true,
						["columns"] = 10,
						["popupDirection"] = "1",
						["alpha"] = 1,
						["buttonKeys"] = {
							"AutoBarButtonClassBuff", -- [1]
							"AutoBarButtonER", -- [2]
							"AutoBarButtonAura", -- [3]
							"AutoBarButtonShields", -- [4]
							"AutoBarButtonSeal", -- [5]
						},
						["padding"] = 0,
						["dockShiftX"] = 0,
						["scale"] = 0.94,
					},
				},
				["buttonList"] = {
					["AutoBarButtonBuffWeapon2"] = {
						["enabled"] = false,
						["buttonClass"] = "AutoBarButtonBuffWeapon",
						["invertButtons"] = true,
						["barKey"] = "AutoBarClassBarBasic",
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonBuffWeapon2",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonShields"] = {
						["arrangeOnUse"] = true,
						["buttonClass"] = "AutoBarButtonShields",
						["enabled"] = true,
						["barKey"] = "AutoBarClassBarPaladin",
						["buttonKey"] = "AutoBarButtonShields",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonER"] = {
						["barKey"] = "AutoBarClassBarPaladin",
						["buttonClass"] = "AutoBarButtonER",
						["noPopup"] = true,
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonER",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonSeal"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonSeal",
						["arrangeOnUse"] = true,
						["barKey"] = "AutoBarClassBarPaladin",
						["buttonKey"] = "AutoBarButtonSeal",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassBuff"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonClassBuff",
						["barKey"] = "AutoBarClassBarPaladin",
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonClassBuff",
						["defaultButtonIndex"] = "*",
					},
				},
			},
			["Shaman"] = {
				["barList"] = {
					["AutoBarClassBarShaman"] = {
						["popupDirection"] = "1",
						["fadeOut"] = false,
						["SHAMAN"] = true,
						["scale"] = 0.94,
						["rows"] = 1,
						["dockShiftY"] = 0,
						["alignButtons"] = "3",
						["posX"] = 660.109183681849,
						["hide"] = false,
						["enabled"] = true,
						["columns"] = 10,
						["alpha"] = 1,
						["buttonWidth"] = 36,
						["collapseButtons"] = true,
						["buttonHeight"] = 36,
						["share"] = "2",
						["posY"] = 58.2653563636834,
						["frameStrata"] = "LOW",
						["padding"] = 0,
						["dockShiftX"] = 0,
						["buttonKeys"] = {
							"AutoBarButtonTravel", -- [1]
							"AutoBarButtonTotemAir", -- [2]
							"AutoBarButtonClassBuff", -- [3]
							"AutoBarButtonClassPet", -- [4]
							"AutoBarButtonTotemEarth", -- [5]
							"AutoBarButtonER", -- [6]
							"AutoBarButtonTotemWater", -- [7]
							"AutoBarButtonTotemFire", -- [8]
							"AutoBarButtonShields", -- [9]
							"AutoBarButtonClassPets2", -- [10]
							"AutoBarButtonClassPets3", -- [11]
						},
					},
				},
				["buttonList"] = {
					["AutoBarButtonBuffWeapon2"] = {
						["arrangeOnUse"] = true,
						["buttonClass"] = "AutoBarButtonBuffWeapon",
						["invertButtons"] = true,
						["barKey"] = "AutoBarClassBarBasic",
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonBuffWeapon2",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonShields"] = {
						["arrangeOnUse"] = true,
						["buttonClass"] = "AutoBarButtonShields",
						["enabled"] = true,
						["barKey"] = "AutoBarClassBarShaman",
						["buttonKey"] = "AutoBarButtonShields",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonTotemFire"] = {
						["barKey"] = "AutoBarClassBarShaman",
						["buttonClass"] = "AutoBarButtonTotemFire",
						["enabled"] = true,
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonTotemFire",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonTotemAir"] = {
						["barKey"] = "AutoBarClassBarShaman",
						["buttonClass"] = "AutoBarButtonTotemAir",
						["enabled"] = true,
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonTotemAir",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassBuff"] = {
						["barKey"] = "AutoBarClassBarShaman",
						["buttonClass"] = "AutoBarButtonClassBuff",
						["enabled"] = true,
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonClassBuff",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonTravel"] = {
						["barKey"] = "AutoBarClassBarShaman",
						["buttonClass"] = "AutoBarButtonTravel",
						["noPopup"] = true,
						["enabled"] = false,
						["buttonKey"] = "AutoBarButtonTravel",
						["defaultButtonIndex"] = 3,
					},
					["AutoBarButtonTotemEarth"] = {
						["barKey"] = "AutoBarClassBarShaman",
						["buttonClass"] = "AutoBarButtonTotemEarth",
						["enabled"] = true,
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonTotemEarth",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassPets3"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonClassPets3",
						["barKey"] = "AutoBarClassBarShaman",
						["buttonKey"] = "AutoBarButtonClassPets3",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonTotemWater"] = {
						["barKey"] = "AutoBarClassBarShaman",
						["buttonClass"] = "AutoBarButtonTotemWater",
						["enabled"] = true,
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonTotemWater",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonER"] = {
						["barKey"] = "AutoBarClassBarShaman",
						["buttonClass"] = "AutoBarButtonER",
						["noPopup"] = true,
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonER",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassPets2"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonClassPets2",
						["barKey"] = "AutoBarClassBarShaman",
						["buttonKey"] = "AutoBarButtonClassPets2",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassPet"] = {
						["barKey"] = "AutoBarClassBarShaman",
						["buttonClass"] = "AutoBarButtonClassPet",
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonClassPet",
						["defaultButtonIndex"] = "*",
					},
				},
			},
			["Rogue"] = {
				["barList"] = {
					["AutoBarClassBarRogue"] = {
						["popupDirection"] = "1",
						["fadeOut"] = false,
						["ROGUE"] = true,
						["buttonHeight"] = 36,
						["rows"] = 1,
						["dockShiftY"] = 0,
						["alignButtons"] = "3",
						["posX"] = 660.109183681849,
						["hide"] = false,
						["enabled"] = true,
						["posY"] = 58.2653563636834,
						["alpha"] = 1,
						["buttonWidth"] = 36,
						["collapseButtons"] = true,
						["scale"] = 0.94,
						["share"] = "2",
						["buttonKeys"] = {
						},
						["frameStrata"] = "LOW",
						["padding"] = 0,
						["dockShiftX"] = 0,
						["columns"] = 10,
					},
				},
				["buttonList"] = {
					["AutoBarButtonBuffWeapon2"] = {
						["enabled"] = false,
						["buttonClass"] = "AutoBarButtonBuffWeapon",
						["invertButtons"] = true,
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonBuffWeapon2",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonPickLock"] = {
						["enabled"] = false,
						["buttonClass"] = "AutoBarButtonPickLock",
						["alwaysShow"] = false,
						["arrangeOnUse"] = true,
						["targeted"] = "Lockpicking",
						["buttonKey"] = "AutoBarButtonPickLock",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonShields"] = {
						["buttonClass"] = "AutoBarButtonShields",
						["arrangeOnUse"] = true,
						["enabled"] = false,
						["buttonKey"] = "AutoBarButtonShields",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonStealth"] = {
						["enabled"] = false,
						["buttonClass"] = "AutoBarButtonStealth",
						["buttonKey"] = "AutoBarButtonStealth",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonER"] = {
						["enabled"] = false,
						["buttonClass"] = "AutoBarButtonER",
						["defaultButtonIndex"] = "*",
						["buttonKey"] = "AutoBarButtonER",
						["noPopup"] = true,
					},
					["AutoBarButtonPoisonNonlethal"] = {
						["buttonClass"] = "AutoBarButtonPoisonNonlethal",
						["arrangeOnUse"] = true,
						["enabled"] = false,
						["buttonKey"] = "AutoBarButtonPoisonNonlethal",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonPoisonLethal"] = {
						["buttonClass"] = "AutoBarButtonPoisonLethal",
						["arrangeOnUse"] = true,
						["enabled"] = false,
						["buttonKey"] = "AutoBarButtonPoisonLethal",
						["defaultButtonIndex"] = "*",
					},
				},
			},
			["Mage"] = {
				["barList"] = {
					["AutoBarClassBarMage"] = {
						["share"] = "2",
						["fadeOut"] = false,
						["scale"] = 0.94,
						["rows"] = 1,
						["dockShiftY"] = 0,
						["buttonKeys"] = {
							"AutoBarButtonStealth", -- [1]
							"AutoBarButtonClassBuff", -- [2]
							"AutoBarButtonER", -- [3]
							"AutoBarButtonDebuff", -- [4]
							"AutoBarButtonClassPet", -- [5]
							"AutoBarButtonConjure", -- [6]
							"AutoBarButtonShields", -- [7]
							"AutoBarButtonClassPets2", -- [8]
							"AutoBarButtonClassPets3", -- [9]
						},
						["posX"] = 658.816027996189,
						["hide"] = false,
						["enabled"] = true,
						["posY"] = 59.1103982683912,
						["alignButtons"] = "3",
						["alpha"] = 1,
						["buttonWidth"] = 36,
						["collapseButtons"] = true,
						["MAGE"] = true,
						["popupDirection"] = "1",
						["columns"] = 10,
						["buttonHeight"] = 36,
						["padding"] = 0,
						["dockShiftX"] = 0,
						["frameStrata"] = "LOW",
					},
				},
				["buttonList"] = {
					["AutoBarButtonBuffWeapon2"] = {
						["barKey"] = "AutoBarClassBarBasic",
						["buttonClass"] = "AutoBarButtonBuffWeapon",
						["invertButtons"] = true,
						["enabled"] = false,
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonBuffWeapon2",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonShields"] = {
						["barKey"] = "AutoBarClassBarMage",
						["buttonClass"] = "AutoBarButtonShields",
						["arrangeOnUse"] = true,
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonShields",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonStealth"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonStealth",
						["barKey"] = "AutoBarClassBarMage",
						["buttonKey"] = "AutoBarButtonStealth",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassBuff"] = {
						["barKey"] = "AutoBarClassBarMage",
						["buttonClass"] = "AutoBarButtonClassBuff",
						["enabled"] = true,
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonClassBuff",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonDebuff"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonDebuff",
						["barKey"] = "AutoBarClassBarMage",
						["buttonKey"] = "AutoBarButtonDebuff",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassPet"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonClassPet",
						["barKey"] = "AutoBarClassBarMage",
						["buttonKey"] = "AutoBarButtonClassPet",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonConjure"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonConjure",
						["barKey"] = "AutoBarClassBarMage",
						["buttonKey"] = "AutoBarButtonConjure",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassPets3"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonClassPets3",
						["barKey"] = "AutoBarClassBarMage",
						["buttonKey"] = "AutoBarButtonClassPets3",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonER"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonER",
						["defaultButtonIndex"] = "*",
						["barKey"] = "AutoBarClassBarMage",
						["buttonKey"] = "AutoBarButtonER",
						["noPopup"] = true,
					},
					["AutoBarButtonClassPets2"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonClassPets2",
						["barKey"] = "AutoBarClassBarMage",
						["buttonKey"] = "AutoBarButtonClassPets2",
						["defaultButtonIndex"] = "*",
					},
				},
			},
			["Druid"] = {
				["barList"] = {
					["AutoBarClassBarDruid"] = {
						["share"] = "2",
						["fadeOut"] = false,
						["scale"] = 0.94,
						["rows"] = 1,
						["dockShiftY"] = 0,
						["buttonKeys"] = {
							"AutoBarButtonBear", -- [1]
							"AutoBarButtonCat", -- [2]
							"AutoBarButtonTravel", -- [3]
							"AutoBarButtonPowerShift", -- [4]
							"AutoBarButtonStealth", -- [5]
							"AutoBarButtonDebuff", -- [6]
							"AutoBarButtonClassPet", -- [7]
							"AutoBarButtonCharge", -- [8]
							"AutoBarButtonER", -- [9]
							"AutoBarButtonClassBuff", -- [10]
							"AutoBarButtonShields", -- [11]
							"AutoBarButtonClassPets2", -- [12]
							"AutoBarButtonClassPets3", -- [13]
						},
						["posX"] = 658.816027996189,
						["hide"] = false,
						["enabled"] = true,
						["posY"] = 59.1103982683912,
						["alignButtons"] = "3",
						["alpha"] = 1,
						["buttonWidth"] = 36,
						["collapseButtons"] = true,
						["DRUID"] = true,
						["popupDirection"] = "1",
						["columns"] = 10,
						["buttonHeight"] = 36,
						["padding"] = 0,
						["dockShiftX"] = 0,
						["frameStrata"] = "LOW",
					},
				},
				["buttonList"] = {
					["AutoBarButtonBoomkinTree"] = {
						["enabled"] = false,
						["buttonClass"] = "AutoBarButtonBoomkinTree",
						["noPopup"] = true,
						["buttonKey"] = "AutoBarButtonBoomkinTree",
						["defaultButtonIndex"] = 4,
					},
					["AutoBarButtonShields"] = {
						["arrangeOnUse"] = true,
						["buttonClass"] = "AutoBarButtonShields",
						["enabled"] = true,
						["barKey"] = "AutoBarClassBarDruid",
						["buttonKey"] = "AutoBarButtonShields",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonStealth"] = {
						["enabled"] = false,
						["buttonClass"] = "AutoBarButtonStealth",
						["barKey"] = "AutoBarClassBarDruid",
						["buttonKey"] = "AutoBarButtonStealth",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonBuffWeapon2"] = {
						["enabled"] = false,
						["buttonClass"] = "AutoBarButtonBuffWeapon",
						["invertButtons"] = true,
						["barKey"] = "AutoBarClassBarBasic",
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonBuffWeapon2",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonBear"] = {
						["enabled"] = false,
						["buttonClass"] = "AutoBarButtonBear",
						["noPopup"] = false,
						["barKey"] = "AutoBarClassBarDruid",
						["defaultButtonIndex"] = 1,
						["buttonKey"] = "AutoBarButtonBear",
						["alwaysPopup"] = true,
					},
					["AutoBarButtonCat"] = {
						["enabled"] = false,
						["buttonClass"] = "AutoBarButtonCat",
						["noPopup"] = false,
						["barKey"] = "AutoBarClassBarDruid",
						["defaultButtonIndex"] = 2,
						["buttonKey"] = "AutoBarButtonCat",
						["alwaysPopup"] = true,
					},
					["AutoBarButtonClassBuff"] = {
						["arrangeOnUse"] = true,
						["buttonClass"] = "AutoBarButtonClassBuff",
						["barKey"] = "AutoBarClassBarDruid",
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonClassBuff",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonDebuff"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonDebuff",
						["barKey"] = "AutoBarClassBarDruid",
						["buttonKey"] = "AutoBarButtonDebuff",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonTravel"] = {
						["enabled"] = false,
						["buttonClass"] = "AutoBarButtonTravel",
						["noPopup"] = true,
						["barKey"] = "AutoBarClassBarDruid",
						["buttonKey"] = "AutoBarButtonTravel",
						["defaultButtonIndex"] = 3,
					},
					["AutoBarButtonClassPet"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonClassPet",
						["barKey"] = "AutoBarClassBarDruid",
						["buttonKey"] = "AutoBarButtonClassPet",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonCharge"] = {
						["arrangeOnUse"] = true,
						["buttonClass"] = "AutoBarButtonCharge",
						["barKey"] = "AutoBarClassBarDruid",
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonCharge",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassPets3"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonClassPets3",
						["barKey"] = "AutoBarClassBarDruid",
						["buttonKey"] = "AutoBarButtonClassPets3",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonER"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonER",
						["noPopup"] = true,
						["barKey"] = "AutoBarClassBarDruid",
						["buttonKey"] = "AutoBarButtonER",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassPets2"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonClassPets2",
						["barKey"] = "AutoBarClassBarDruid",
						["buttonKey"] = "AutoBarButtonClassPets2",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonPowerShift"] = {
						["enabled"] = false,
						["buttonClass"] = "AutoBarButtonPowerShift",
						["noPopup"] = true,
						["barKey"] = "AutoBarClassBarDruid",
						["buttonKey"] = "AutoBarButtonPowerShift",
						["defaultButtonIndex"] = 5,
					},
				},
			},
			["Priest"] = {
				["barList"] = {
					["AutoBarClassBarPriest"] = {
						["share"] = "2",
						["fadeOut"] = false,
						["scale"] = 0.94,
						["rows"] = 1,
						["dockShiftY"] = 0,
						["buttonKeys"] = {
							"AutoBarButtonClassBuff", -- [1]
							"AutoBarButtonER", -- [2]
							"AutoBarButtonClassPet", -- [3]
							"AutoBarButtonShields", -- [4]
							"AutoBarButtonClassPets2", -- [5]
							"AutoBarButtonClassPets3", -- [6]
						},
						["posX"] = 660.109183681849,
						["hide"] = false,
						["enabled"] = true,
						["posY"] = 58.2653563636834,
						["PRIEST"] = true,
						["alpha"] = 1,
						["buttonWidth"] = 36,
						["collapseButtons"] = true,
						["columns"] = 10,
						["popupDirection"] = "1",
						["frameStrata"] = "LOW",
						["buttonHeight"] = 36,
						["padding"] = 0,
						["dockShiftX"] = 0,
						["alignButtons"] = "3",
					},
				},
				["buttonList"] = {
					["AutoBarButtonClassPet"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonClassPet",
						["barKey"] = "AutoBarClassBarPriest",
						["buttonKey"] = "AutoBarButtonClassPet",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonShields"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonShields",
						["arrangeOnUse"] = true,
						["barKey"] = "AutoBarClassBarPriest",
						["buttonKey"] = "AutoBarButtonShields",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassPets3"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonClassPets3",
						["barKey"] = "AutoBarClassBarPriest",
						["buttonKey"] = "AutoBarButtonClassPets3",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonER"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonER",
						["defaultButtonIndex"] = "*",
						["barKey"] = "AutoBarClassBarPriest",
						["buttonKey"] = "AutoBarButtonER",
						["noPopup"] = true,
					},
					["AutoBarButtonClassPets2"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonClassPets2",
						["barKey"] = "AutoBarClassBarPriest",
						["buttonKey"] = "AutoBarButtonClassPets2",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassBuff"] = {
						["arrangeOnUse"] = true,
						["buttonClass"] = "AutoBarButtonClassBuff",
						["enabled"] = true,
						["barKey"] = "AutoBarClassBarPriest",
						["buttonKey"] = "AutoBarButtonClassBuff",
						["defaultButtonIndex"] = "*",
					},
				},
			},
			["Hunter"] = {
				["barList"] = {
					["AutoBarClassBarHunter"] = {
						["share"] = "2",
						["fadeOut"] = false,
						["buttonHeight"] = 36,
						["rows"] = 1,
						["dockShiftY"] = 0,
						["alignButtons"] = "3",
						["posX"] = 660.388700327865,
						["hide"] = false,
						["enabled"] = true,
						["columns"] = 10,
						["HUNTER"] = true,
						["frameStrata"] = "LOW",
						["buttonWidth"] = 36,
						["collapseButtons"] = true,
						["alpha"] = 1,
						["scale"] = 0.94,
						["posY"] = 57.0676409017106,
						["popupDirection"] = "1",
						["padding"] = 0,
						["dockShiftX"] = 0,
						["buttonKeys"] = {
							"AutoBarButtonClassPet", -- [1]
							"AutoBarButtonER", -- [2]
							"AutoBarButtonFoodPet", -- [3]
							"AutoBarButtonTrap", -- [4]
							"AutoBarButtonDebuff", -- [5]
							"AutoBarButtonClassPets2", -- [6]
							"AutoBarButtonClassPets3", -- [7]
							"AutoBarButtonAspect", -- [8]
						},
					},
				},
				["buttonList"] = {
					["AutoBarButtonBuffWeapon2"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonBuffWeapon",
						["invertButtons"] = true,
						["barKey"] = "AutoBarClassBarBasic",
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonBuffWeapon2",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonAspect"] = {
						["barKey"] = "AutoBarClassBarHunter",
						["buttonClass"] = "AutoBarButtonAspect",
						["enabled"] = true,
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonAspect",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonFoodPet"] = {
						["arrangeOnUse"] = true,
						["buttonClass"] = "AutoBarButtonFoodPet",
						["enabled"] = false,
						["rightClickTargetsPet"] = true,
						["barKey"] = "AutoBarClassBarHunter",
						["buttonKey"] = "AutoBarButtonFoodPet",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonDebuff"] = {
						["barKey"] = "AutoBarClassBarHunter",
						["buttonClass"] = "AutoBarButtonDebuff",
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonDebuff",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassPet"] = {
						["barKey"] = "AutoBarClassBarHunter",
						["buttonClass"] = "AutoBarButtonClassPet",
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonClassPet",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonTrap"] = {
						["arrangeOnUse"] = true,
						["buttonClass"] = "AutoBarButtonTrap",
						["enabled"] = true,
						["barKey"] = "AutoBarClassBarHunter",
						["buttonKey"] = "AutoBarButtonTrap",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonER"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonER",
						["noPopup"] = true,
						["barKey"] = "AutoBarClassBarHunter",
						["buttonKey"] = "AutoBarButtonER",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassPets2"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonClassPets2",
						["barKey"] = "AutoBarClassBarHunter",
						["buttonKey"] = "AutoBarButtonClassPets2",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassPets3"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonClassPets3",
						["barKey"] = "AutoBarClassBarHunter",
						["buttonKey"] = "AutoBarButtonClassPets3",
						["defaultButtonIndex"] = "*",
					},
				},
			},
			["Warlock"] = {
				["barList"] = {
					["AutoBarClassBarWarlock"] = {
						["popupDirection"] = "1",
						["fadeOut"] = false,
						["scale"] = 0.94,
						["rows"] = 1,
						["dockShiftY"] = 0,
						["alignButtons"] = "3",
						["posX"] = 660.109183681849,
						["hide"] = false,
						["enabled"] = true,
						["posY"] = 58.2653563636834,
						["columns"] = 10,
						["frameStrata"] = "LOW",
						["buttonWidth"] = 36,
						["collapseButtons"] = true,
						["share"] = "2",
						["WARLOCK"] = true,
						["buttonHeight"] = 36,
						["alpha"] = 1,
						["padding"] = 0,
						["dockShiftX"] = 0,
						["buttonKeys"] = {
							"AutoBarButtonClassBuff", -- [1]
							"AutoBarButtonConjure", -- [2]
							"AutoBarButtonClassPet", -- [3]
							"AutoBarButtonDebuff", -- [4]
							"AutoBarButtonShields", -- [5]
							"AutoBarButtonClassPets2", -- [6]
							"AutoBarButtonClassPets3", -- [7]
						},
					},
				},
				["buttonList"] = {
					["AutoBarButtonDebuff"] = {
						["barKey"] = "AutoBarClassBarWarlock",
						["buttonClass"] = "AutoBarButtonDebuff",
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonDebuff",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassPet"] = {
						["barKey"] = "AutoBarClassBarWarlock",
						["buttonClass"] = "AutoBarButtonClassPet",
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonClassPet",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonConjure"] = {
						["barKey"] = "AutoBarClassBarWarlock",
						["buttonClass"] = "AutoBarButtonConjure",
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonConjure",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassPets3"] = {
						["barKey"] = "AutoBarClassBarWarlock",
						["buttonClass"] = "AutoBarButtonClassPets3",
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonClassPets3",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonShields"] = {
						["enabled"] = true,
						["buttonClass"] = "AutoBarButtonShields",
						["barKey"] = "AutoBarClassBarWarlock",
						["arrangeOnUse"] = true,
						["buttonKey"] = "AutoBarButtonShields",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassPets2"] = {
						["barKey"] = "AutoBarClassBarWarlock",
						["buttonClass"] = "AutoBarButtonClassPets2",
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonClassPets2",
						["defaultButtonIndex"] = "*",
					},
					["AutoBarButtonClassBuff"] = {
						["barKey"] = "AutoBarClassBarWarlock",
						["buttonClass"] = "AutoBarButtonClassBuff",
						["arrangeOnUse"] = true,
						["enabled"] = true,
						["buttonKey"] = "AutoBarButtonClassBuff",
						["defaultButtonIndex"] = "*",
					},
				},
			},
		},
		["account"] = {
			["customCategoriesVersion"] = 3,
			["barList"] = {
				["AutoBarClassBarBasic"] = {
					["HUNTER"] = true,
					["fadeOut"] = false,
					["SHAMAN"] = true,
					["buttonHeight"] = 36,
					["rows"] = 1,
					["popupDirection"] = "1",
					["dockShiftY"] = 0,
					["WARRIOR"] = true,
					["alignButtons"] = "3",
					["posX"] = 1040.2560410415,
					["MAGE"] = true,
					["DRUID"] = true,
					["MONK"] = true,
					["hide"] = false,
					["enabled"] = true,
					["scale"] = 1,
					["columns"] = 9,
					["posY"] = 89.7919863780626,
					["ROGUE"] = true,
					["alpha"] = 1,
					["frameStrata"] = "LOW",
					["PRIEST"] = true,
					["collapseButtons"] = true,
					["buttonWidth"] = 36,
					["WARLOCK"] = true,
					["DEATHKNIGHT"] = true,
					["DEMONHUNTER"] = true,
					["buttonKeys"] = {
						"AutoBarButtonBandages", -- [1]
						"AutoBarButtonHeal", -- [2]
						"AutoBarButtonCooldownPotionHealth", -- [3]
						"AutoBarButtonCooldownPotionMana", -- [4]
						"AutoBarButtonWater", -- [5]
						"AutoBarButtonWaterBuff", -- [6]
						"AutoBarButtonFood", -- [7]
						"AutoBarButtonFoodBuff", -- [8]
						"AutoBarButtonFoodCombo", -- [9]
						"AutoBarButtonElixirGuardian", -- [10]
						"AutoBarButtonElixirBattle", -- [11]
						"AutoBarButtonElixirBoth", -- [12]
						"AutoBarButtonCrafting", -- [13]
						"AutoBarButtonBuffWeapon1", -- [14]
					},
					["padding"] = 2,
					["dockShiftX"] = 6,
					["PALADIN"] = true,
				},
				["AutoBarClassBarExtras"] = {
					["popupDirection"] = "1",
					["WARRIOR"] = true,
					["PALADIN"] = true,
					["scale"] = 1,
					["rows"] = 1,
					["MAGE"] = true,
					["dockShiftY"] = 0,
					["ROGUE"] = true,
					["alignButtons"] = "3",
					["posX"] = 340.226979759054,
					["fadeOut"] = false,
					["DRUID"] = true,
					["MONK"] = true,
					["hide"] = false,
					["DEATHKNIGHT"] = true,
					["columns"] = 32,
					["posY"] = 173.77497303831,
					["buttonHeight"] = 36,
					["enabled"] = false,
					["alpha"] = 1,
					["frameStrata"] = "LOW",
					["buttonWidth"] = 36,
					["collapseButtons"] = true,
					["PRIEST"] = true,
					["WARLOCK"] = true,
					["buttonKeys"] = {
						"AutoBarButtonOpenable", -- [1]
						"AutoBarButtonMiscFun", -- [2]
						"AutoBarButtonGuildSpell", -- [3]
					},
					["HUNTER"] = true,
					["padding"] = 0,
					["dockShiftX"] = 0,
					["SHAMAN"] = true,
				},
			},
			["ldbIcon"] = {
				["minimapPos"] = 107.685878411348,
				["radius"] = 80,
				["hide"] = true,
			},
			["clampedToScreen"] = false,
			["dbVersion"] = 1,
			["buttonList"] = {
				["AutoBarButtonHeal"] = {
					["enabled"] = true,
					["buttonClass"] = "AutoBarButtonHeal",
					["barKey"] = "AutoBarClassBarBasic",
					["buttonKey"] = "AutoBarButtonHeal",
					["defaultButtonIndex"] = 4,
				},
				["AutoBarButtonBuff"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonBuff",
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonBuff",
					["defaultButtonIndex"] = 18,
				},
				["AutoBarButtonBuffWeapon1"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonBuffWeapon",
					["barKey"] = "AutoBarClassBarBasic",
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonBuffWeapon1",
					["defaultButtonIndex"] = 19,
				},
				["AutoBarButtonCooldownPotionCombat"] = {
					["enabled"] = false,
					["buttonClass"] = "AutoBarButtonCooldownPotionCombat",
					["shuffle"] = true,
					["buttonKey"] = "AutoBarButtonCooldownPotionCombat",
					["defaultButtonIndex"] = 9,
				},
				["AutoBarButtonCooldownStoneHealth"] = {
					["enabled"] = false,
					["buttonClass"] = "AutoBarButtonCooldownStoneHealth",
					["shuffle"] = true,
					["buttonKey"] = "AutoBarButtonCooldownStoneHealth",
					["defaultButtonIndex"] = 10,
				},
				["AutoBarButtonWater"] = {
					["barKey"] = "AutoBarClassBarBasic",
					["buttonClass"] = "AutoBarButtonWater",
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonWater",
					["defaultButtonIndex"] = "AutoBarButtonFood",
				},
				["AutoBarButtonBattleStandards"] = {
					["enabled"] = false,
					["buttonClass"] = "AutoBarButtonBattleStandards",
					["buttonKey"] = "AutoBarButtonBattleStandards",
					["defaultButtonIndex"] = 6,
				},
				["AutoBarButtonMount"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonMount",
					["enabled"] = false,
					["buttonKey"] = "AutoBarButtonMount",
					["defaultButtonIndex"] = 2,
				},
				["AutoBarButtonFoodBuff"] = {
					["enabled"] = true,
					["shuffle"] = true,
					["buttonKey"] = "AutoBarButtonFoodBuff",
					["defaultButtonIndex"] = 16,
					["arrangeOnUse"] = false,
					["buttonClass"] = "AutoBarButtonFoodBuff",
					["drop"] = true,
					["alwaysShow"] = false,
					["barKey"] = "AutoBarClassBarBasic",
				},
				["AutoBarButtonFood"] = {
					"CustomCustom2", -- [1]
					"CustomCustom3", -- [2]
					["barKey"] = "AutoBarClassBarBasic",
					["buttonClass"] = "AutoBarButtonFood",
					["drop"] = true,
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonFood",
					["defaultButtonIndex"] = 15,
				},
				["AutoBarButtonCrafting"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonCrafting",
					["barKey"] = "AutoBarClassBarBasic",
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonCrafting",
					["defaultButtonIndex"] = 24,
				},
				["AutoBarButtonWaterBuff"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonWaterBuff",
					["enabled"] = true,
					["barKey"] = "AutoBarClassBarBasic",
					["buttonKey"] = "AutoBarButtonWaterBuff",
					["defaultButtonIndex"] = "AutoBarButtonWater",
				},
				["AutoBarButtonElixirBoth"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonElixirBoth",
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonElixirBoth",
					["defaultButtonIndex"] = 22,
				},
				["AutoBarButtonElixirBattle"] = {
					["buttonClass"] = "AutoBarButtonElixirBattle",
					["arrangeOnUse"] = true,
					["enabled"] = false,
					["buttonKey"] = "AutoBarButtonElixirBattle",
					["defaultButtonIndex"] = 20,
				},
				["AutoBarButtonFreeAction"] = {
					["enabled"] = true,
					["buttonClass"] = "AutoBarButtonFreeAction",
					["buttonKey"] = "AutoBarButtonFreeAction",
					["defaultButtonIndex"] = 2,
				},
				["AutoBarButtonCooldownPotionRejuvenation"] = {
					["enabled"] = false,
					["buttonClass"] = "AutoBarButtonCooldownPotionRejuvenation",
					["shuffle"] = true,
					["buttonKey"] = "AutoBarButtonCooldownPotionRejuvenation",
					["defaultButtonIndex"] = 8,
				},
				["AutoBarButtonPets"] = {
					["enabled"] = true,
					["buttonClass"] = "AutoBarButtonPets",
					["arrangeOnUse"] = true,
					["buttonKey"] = "AutoBarButtonPets",
					["defaultButtonIndex"] = 5,
				},
				["AutoBarButtonOpenable"] = {
					["enabled"] = true,
					["buttonClass"] = "AutoBarButtonOpenable",
					["barKey"] = "AutoBarClassBarExtras",
					["drag"] = true,
					["buttonKey"] = "AutoBarButtonOpenable",
					["defaultButtonIndex"] = 7,
				},
				["AutoBarButtonHearth"] = {
					["enabled"] = false,
					["buttonClass"] = "AutoBarButtonHearth",
					["buttonKey"] = "AutoBarButtonHearth",
					["defaultButtonIndex"] = 1,
				},
				["AutoBarButtonTrinket2"] = {
					["enabled"] = false,
					["buttonClass"] = "AutoBarButtonTrinket2",
					["buttonKey"] = "AutoBarButtonTrinket2",
					["targeted"] = 14,
					["equipped"] = 14,
					["defaultButtonIndex"] = 27,
				},
				["AutoBarButtonQuest"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonQuest",
					["enabled"] = false,
					["buttonKey"] = "AutoBarButtonQuest",
					["defaultButtonIndex"] = 25,
				},
				["AutoBarButtonExplosive"] = {
					["enabled"] = false,
					["buttonClass"] = "AutoBarButtonExplosive",
					["buttonKey"] = "AutoBarButtonExplosive",
					["defaultButtonIndex"] = 3,
				},
				["AutoBarButtonRecovery"] = {
					["enabled"] = false,
					["buttonClass"] = "AutoBarButtonRecovery",
					["buttonKey"] = "AutoBarButtonRecovery",
					["defaultButtonIndex"] = 5,
				},
				["AutoBarButtonElixirGuardian"] = {
					["barKey"] = "AutoBarClassBarBasic",
					["buttonClass"] = "AutoBarButtonElixirGuardian",
					["arrangeOnUse"] = false,
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonElixirGuardian",
					["defaultButtonIndex"] = 21,
				},
				["AutoBarButtonSunsongRanch"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonSunsongRanch",
					["enabled"] = false,
					["buttonKey"] = "AutoBarButtonSunsongRanch",
					["defaultButtonIndex"] = 10,
				},
				["AutoBarButtonCooldownPotionHealth"] = {
					["enabled"] = true,
					["buttonClass"] = "AutoBarButtonCooldownPotionHealth",
					["shuffle"] = true,
					["barKey"] = "AutoBarClassBarBasic",
					["buttonKey"] = "AutoBarButtonCooldownPotionHealth",
					["defaultButtonIndex"] = 6,
				},
				["AutoBarButtonMiscFun"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonMiscFun",
					["enabled"] = true,
					["barKey"] = "AutoBarClassBarExtras",
					["buttonKey"] = "AutoBarButtonMiscFun",
					["defaultButtonIndex"] = 8,
				},
				["AutoBarButtonGuildSpell"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonGuildSpell",
					["barKey"] = "AutoBarClassBarExtras",
					["enabled"] = false,
					["buttonKey"] = "AutoBarButtonGuildSpell",
					["defaultButtonIndex"] = 9,
				},
				["AutoBarButtonCooldownStoneMana"] = {
					["enabled"] = false,
					["buttonClass"] = "AutoBarButtonCooldownStoneMana",
					["shuffle"] = true,
					["buttonKey"] = "AutoBarButtonCooldownStoneMana",
					["defaultButtonIndex"] = 11,
				},
				["AutoBarButtonFoodCombo"] = {
					["enabled"] = true,
					["buttonClass"] = "AutoBarButtonFoodCombo",
					["barKey"] = "AutoBarClassBarBasic",
					["arrangeOnUse"] = true,
					["buttonKey"] = "AutoBarButtonFoodCombo",
					["defaultButtonIndex"] = 17,
				},
				["AutoBarButtonSpeed"] = {
					["enabled"] = false,
					["buttonClass"] = "AutoBarButtonSpeed",
					["buttonKey"] = "AutoBarButtonSpeed",
					["defaultButtonIndex"] = 1,
				},
				["AutoBarButtonCooldownStoneCombat"] = {
					["enabled"] = false,
					["buttonClass"] = "AutoBarButtonCooldownStoneCombat",
					["shuffle"] = true,
					["buttonKey"] = "AutoBarButtonCooldownStoneCombat",
					["defaultButtonIndex"] = 12,
				},
				["AutoBarButtonRotationDrums"] = {
					["enabled"] = false,
					["buttonClass"] = "AutoBarButtonRotationDrums",
					["drop"] = false,
					["buttonKey"] = "AutoBarButtonRotationDrums",
					["defaultButtonIndex"] = 13,
				},
				["AutoBarButtonCooldownPotionMana"] = {
					["enabled"] = true,
					["buttonClass"] = "AutoBarButtonCooldownPotionMana",
					["shuffle"] = true,
					["barKey"] = "AutoBarClassBarBasic",
					["buttonKey"] = "AutoBarButtonCooldownPotionMana",
					["defaultButtonIndex"] = 7,
				},
				["AutoBarButtonFishing"] = {
					["enabled"] = false,
					["buttonClass"] = "AutoBarButtonFishing",
					["buttonKey"] = "AutoBarButtonFishing",
					["defaultButtonIndex"] = 4,
				},
				["AutoBarButtonBandages"] = {
					["barKey"] = "AutoBarClassBarBasic",
					["buttonClass"] = "AutoBarButtonBandages",
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonBandages",
					["defaultButtonIndex"] = 3,
				},
				["AutoBarButtonTrinket1"] = {
					["enabled"] = false,
					["buttonClass"] = "AutoBarButtonTrinket1",
					["buttonKey"] = "AutoBarButtonTrinket1",
					["targeted"] = 13,
					["equipped"] = 13,
					["defaultButtonIndex"] = 26,
				},
				["AutoBarButtonCooldownDrums"] = {
					["enabled"] = false,
					["buttonClass"] = "AutoBarButtonCooldownDrums",
					["buttonKey"] = "AutoBarButtonCooldownDrums",
					["defaultButtonIndex"] = 14,
				},
			},
			["keySeed"] = 12,
			["Gloss"] = 0,
			["customCategories"] = {
				["CustomCustom1"] = {
					["items"] = {
					},
					["categoryKey"] = "CustomCustom1",
					["name"] = "Custom1",
					["desc"] = "Custom1",
				},
				["CustomCustom2"] = {
					["items"] = {
						{
							["itemType"] = "item",
							["itemInfo"] = "|cffffffff|Hitem:33004:0:0:0:0:0:0:1504589440:46:0|h[Clamlette Magnifique]|h|r",
							["itemId"] = 33004,
						}, -- [1]
					},
					["categoryKey"] = "CustomCustom2",
					["name"] = "Custom2",
					["desc"] = "Custom2",
				},
				["CustomCustom3"] = {
					["items"] = {
						{
							["itemInfo"] = "|cffffffff|Hitem:43000:0:0:0:0:0:0:2145789184:76:0|h[Dragonfin Filet]|h|r",
							["itemType"] = "item",
							["itemId"] = 43000,
						}, -- [1]
					},
					["categoryKey"] = "CustomCustom3",
					["name"] = "Custom3",
					["desc"] = "Custom3",
				},
			},
			["Backdrop"] = false,
			["stupidlog"] = "",
			["Colors"] = {
			},
			["SkinID"] = "Blizzard",
		},
	}
	if NS:IsValidVersion(WOW_PROJECT_MAINLINE) or NS:IsValidVersion(NS.WOW_Project.WrathClassic) then
		FauxMazzle.classes["Death Knight"] = {
			["barList"] = {
				["AutoBarClassBarDeathKnight"] = {
					["popupDirection"] = "1",
					["fadeOut"] = false,
					["scale"] = 0.94,
					["rows"] = 1,
					["dockShiftY"] = 0,
					["buttonKeys"] = {
						"AutoBarButtonShields", -- [1]
						"AutoBarButtonClassPets2", -- [2]
						"AutoBarButtonClassPets3", -- [3]
					},
					["posX"] = 660.109183681849,
					["hide"] = false,
					["enabled"] = true,
					["posY"] = 79.6528693133696,
					["frameStrata"] = "LOW",
					["alpha"] = 1,
					["buttonWidth"] = 36,
					["collapseButtons"] = true,
					["buttonHeight"] = 36,
					["DEATHKNIGHT"] = true,
					["columns"] = 32,
					["share"] = "2",
					["padding"] = 0,
					["dockShiftX"] = 0,
					["alignButtons"] = "3",
				},
			},
			["buttonList"] = {
				["AutoBarButtonBuffWeapon2"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonBuffWeapon",
					["invertButtons"] = true,
					["barKey"] = "AutoBarClassBarBasic",
					["enabled"] = false,
					["buttonKey"] = "AutoBarButtonBuffWeapon2",
					["defaultButtonIndex"] = "*",
				},
				["AutoBarButtonClassPet"] = {
					["enabled"] = true,
					["buttonClass"] = "AutoBarButtonClassPet",
					["buttonKey"] = "AutoBarButtonClassPet",
					["defaultButtonIndex"] = "*",
				},
				["AutoBarButtonShields"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonShields",
					["enabled"] = true,
					["barKey"] = "AutoBarClassBarDeathKnight",
					["buttonKey"] = "AutoBarButtonShields",
					["defaultButtonIndex"] = "*",
				},
				["AutoBarButtonClassPets3"] = {
					["enabled"] = true,
					["buttonClass"] = "AutoBarButtonClassPets3",
					["barKey"] = "AutoBarClassBarDeathKnight",
					["buttonKey"] = "AutoBarButtonClassPets3",
					["defaultButtonIndex"] = "*",
				},
				["AutoBarButtonER"] = {
					["enabled"] = true,
					["buttonClass"] = "AutoBarButtonER",
					["noPopup"] = true,
					["buttonKey"] = "AutoBarButtonER",
					["defaultButtonIndex"] = "*",
				},
				["AutoBarButtonClassPets2"] = {
					["enabled"] = true,
					["buttonClass"] = "AutoBarButtonClassPets2",
					["barKey"] = "AutoBarClassBarDeathKnight",
					["buttonKey"] = "AutoBarButtonClassPets2",
					["defaultButtonIndex"] = "*",
				},
				["AutoBarButtonClassBuff"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonClassBuff",
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonClassBuff",
					["defaultButtonIndex"] = "*",
				},
			},
		}
	end
	if NS:IsValidVersion(WOW_PROJECT_MAINLINE) then
		FauxMazzle.classes["Monk"] = {
			["barList"] = {
				["AutoBarClassBarMonk"] = {
					["share"] = "2",
					["fadeOut"] = false,
					["buttonHeight"] = 36,
					["rows"] = 1,
					["dockShiftY"] = 0,
					["alignButtons"] = "3",
					["posX"] = 660.109183681849,
					["MONK"] = true,
					["hide"] = false,
					["enabled"] = true,
					["posY"] = 58.2653563636834,
					["alpha"] = 1,
					["buttonWidth"] = 36,
					["collapseButtons"] = true,
					["scale"] = 0.94,
					["columns"] = 10,
					["popupDirection"] = "1",
					["frameStrata"] = "LOW",
					["padding"] = 0,
					["dockShiftX"] = 0,
					["buttonKeys"] = {
						"AutoBarButtonShields", -- [1]
						"AutoBarButtonER", -- [2]
						"AutoBarButtonClassBuff", -- [3]
						"AutoBarButtonClassPet", -- [4]
					},
				},
			},
			["buttonList"] = {
				["AutoBarButtonClassPet"] = {
					["barKey"] = "AutoBarClassBarMonk",
					["buttonClass"] = "AutoBarButtonClassPet",
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonClassPet",
					["defaultButtonIndex"] = "*",
				},
				["AutoBarButtonER"] = {
					["barKey"] = "AutoBarClassBarMonk",
					["buttonClass"] = "AutoBarButtonER",
					["noPopup"] = true,
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonER",
					["defaultButtonIndex"] = "*",
				},
				["AutoBarButtonShields"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonShields",
					["barKey"] = "AutoBarClassBarMonk",
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonShields",
					["defaultButtonIndex"] = "*",
				},
				["AutoBarButtonClassBuff"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonClassBuff",
					["barKey"] = "AutoBarClassBarMonk",
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonClassBuff",
					["defaultButtonIndex"] = "*",
				},
			},
		}
	end
	if NS:IsValidVersion(WOW_PROJECT_MAINLINE) then
		FauxMazzle.classes["Demon Hunter"] = {
			["barList"] = {
				["AutoBarClassBarDemonHunter"] = {
					["popupDirection"] = "1",
					["fadeOut"] = false,
					["scale"] = 0.94,
					["rows"] = 1,
					["dockShiftY"] = 0,
					["buttonKeys"] = {
						"AutoBarButtonShields", -- [1]
						"AutoBarButtonClassPets2", -- [2]
						"AutoBarButtonClassPets3", -- [3]
					},
					["posX"] = 660.109183681849,
					["hide"] = true,
					["enabled"] = true,
					["posY"] = 79.6528693133696,
					["frameStrata"] = "LOW",
					["alpha"] = 1,
					["buttonWidth"] = 36,
					["collapseButtons"] = true,
					["buttonHeight"] = 36,
					["DEMONHUNTER"] = true,
					["columns"] = 32,
					["share"] = "2",
					["padding"] = 0,
					["dockShiftX"] = 0,
					["alignButtons"] = "3",
				},
			},
			["buttonList"] = {
				["AutoBarButtonBuffWeapon2"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonBuffWeapon",
					["invertButtons"] = true,
					["barKey"] = "AutoBarClassBarBasic",
					["enabled"] = false,
					["buttonKey"] = "AutoBarButtonBuffWeapon2",
					["defaultButtonIndex"] = "*",
				},
				["AutoBarButtonClassPet"] = {
					["enabled"] = true,
					["buttonClass"] = "AutoBarButtonClassPet",
					["buttonKey"] = "AutoBarButtonClassPet",
					["defaultButtonIndex"] = "*",
				},
				["AutoBarButtonShields"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonShields",
					["enabled"] = true,
					["barKey"] = "AutoBarClassBarDeathKnight",
					["buttonKey"] = "AutoBarButtonShields",
					["defaultButtonIndex"] = "*",
				},
				["AutoBarButtonClassPets3"] = {
					["enabled"] = true,
					["buttonClass"] = "AutoBarButtonClassPets3",
					["barKey"] = "AutoBarClassBarDeathKnight",
					["buttonKey"] = "AutoBarButtonClassPets3",
					["defaultButtonIndex"] = "*",
				},
				["AutoBarButtonER"] = {
					["enabled"] = true,
					["buttonClass"] = "AutoBarButtonER",
					["noPopup"] = true,
					["buttonKey"] = "AutoBarButtonER",
					["defaultButtonIndex"] = "*",
				},
				["AutoBarButtonClassPets2"] = {
					["enabled"] = true,
					["buttonClass"] = "AutoBarButtonClassPets2",
					["barKey"] = "AutoBarClassBarDeathKnight",
					["buttonKey"] = "AutoBarButtonClassPets2",
					["defaultButtonIndex"] = "*",
				},
				["AutoBarButtonClassBuff"] = {
					["arrangeOnUse"] = true,
					["buttonClass"] = "AutoBarButtonClassBuff",
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonClassBuff",
					["defaultButtonIndex"] = "*",
				},
			},
		}
	end
	if NS:IsValidVersion(WOW_PROJECT_MAINLINE) and GetExpansionLevel() >= 8 then
		FauxMazzle.classes["EVOKER"] = {
			["barList"] = {
				["AutoBarClassBarEvoker"] = {
					["popupDirection"] = "1",
					["fadeOut"] = false,
					["scale"] = 0.94,
					["rows"] = 1,
					["dockShiftY"] = 0,
					["buttonKeys"] = {
						"AutoBarButtonShields", -- [1]
						"AutoBarButtonClassPets2", -- [2]
						"AutoBarButtonClassPets3", -- [3]
					},
					["posX"] = 660.109183681849,
					["hide"] = true,
					["enabled"] = true,
					["posY"] = 79.6528693133696,
					["frameStrata"] = "LOW",
					["alpha"] = 1,
					["buttonWidth"] = 36,
					["collapseButtons"] = true,
					["buttonHeight"] = 36,
					["DEMONHUNTER"] = true,
					["columns"] = 32,
					["share"] = "2",
					["padding"] = 0,
					["dockShiftX"] = 0,
					["alignButtons"] = "3",
				},
			},
			["buttonList"] = {
				["AutoBarButtonShields"] = {
					["barKey"] = "AutoBarClassBarEvoker",
					["buttonClass"] = "AutoBarButtonShields",
					["defaultButtonIndex"] = "*",
					["arrangeOnUse"] = true,
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonShields",
					["square_popups"] = true,
				},
				["AutoBarButtonInterrupt"] = {
					["barKey"] = "AutoBarClassBarEvoker",
					["buttonClass"] = "AutoBarButtonInterrupt",
					["defaultButtonIndex"] = "*",
					["arrangeOnUse"] = true,
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonInterrupt",
					["square_popups"] = true,
				},
				["AutoBarButtonER"] = {
					["barKey"] = "AutoBarClassBarEvoker",
					["buttonClass"] = "AutoBarButtonER",
					["defaultButtonIndex"] = "*",
					["noPopup"] = true,
					["enabled"] = true,
					["buttonKey"] = "AutoBarButtonER",
					["square_popups"] = true,
				},
				["AutoBarCustomButtonSoar"] = {
					"Misc.Hearth", -- [1]
					["hasCustomCategories"] = true,
					["buttonClass"] = "AutoBarButtonCustom",
					["name"] = "Soar",
					["buttonKey"] = "AutoBarCustomButtonSoar",
					["enabled"] = true,
				},
			},
		}
	end
	return FauxMazzle
end
